﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Demo304 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		DateTime dt;
		if( DateTime.TryParse(Request.Headers["If-Modified-Since"], out dt) ) {
			// 注意：如果是20秒内，我就以304的方式响应。
			if( (DateTime.Now - dt).TotalSeconds < 20.0 ) {
				Response.StatusCode = 304;
				Response.End();
				return;
			}
		}

		// 注意这个调用，它可以产生"Last-Modified"这个响应头，浏览器在收到这个头以后，
		// 在后续对这个页面访问时，就会将时间以"If-Modified-Since"的形式发到服务器
		// 这样，上面代码的判断就能生效。
		Response.Cache.SetLastModified(DateTime.Now);
    }
}
